layui.extend({
    common    :   'js/common',
    dropdown    :   'layui/lay/modules/dropdown'
}).use(['jquery','table','layer','form','common'], function () {
    var $ = layui.jquery;
    var table = layui.table;
    //  弹窗插件
    var layer = layui.layer;
    var common = layui.common;
    //  引入表单
    var form = layui.form;



    //表格对象
    var layuiTable = common.layuiTable.render(table,{
        elem: '#table_id'    //页面table的id
        , url: '/statistics/member/getAuthRoomByMemberId?id='+$('#id').val() //后台接口
        ,method: 'get'
        , cellMinWidth: 80 //全局定义常规单元格的最小宽度，
        , cols: [[
            { field: 'name', title: '房间名称',align:'center' }
            , {field: 'houseNumber', title: '门牌号', align: 'center'}
            , { field: 'unitName', title: '所属单元',align:'center' }
            , { field: 'residentialName', title: '所属小区',align:'center' }
            , { title: '操作',align: 'center', toolbar: '#table-useradmin-webuser',width:180}
        ]]
        //  开启分页功能
        , page: true
    });

    table.on('tool(table_event)', function(obj){
        var data = obj.data; //获得当前行数据
        switch (obj.event) {
            case 'access':
                common.openDefaultIframe({
                    title: '管理门禁授权',
                    content:  '/statistics/member/access/' + $('#id').val() + '/' + data.residentialId
                });
                break;
            default:
                break;
        }
    });

    //  重新加载表格
    var queryTableFn = function(){
        //重新加载表格
        layuiTable.reload({
            where:{
            }
            //重新从第1页开始
            ,page: {
                curr: 1
            }
        });
    };

    //监听搜索
    form.on('submit(query)', function(){
        queryTableFn();
    });

    //监听重置查询
    form.on('submit(reset)', function(){
        // 刷新select标签
        form.render('select');
        queryTableFn();
    });

});

